`timescale 1 ns/100 ps
// Version: 8.5 8.5.0.34


module tievm_nic_dpram(DINA,DOUTA,DINB,DOUTB,ADDRA,ADDRB,RWA,RWB,
        BLKA,BLKB,CLKA,CLKB,RESET);
input [7:0] DINA;
output [7:0] DOUTA;
input [7:0] DINB;
output [7:0] DOUTB;
input [10:0] ADDRA, ADDRB;
input RWA, RWB, BLKA, BLKB, CLKA, CLKB, RESET;

    wire WEAP, WEBP, VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    RAM4K9 tievm_nic_dpram_R0C2(.ADDRA11(GND), .ADDRA10(ADDRA[10])
        , .ADDRA9(ADDRA[9]), .ADDRA8(ADDRA[8]), .ADDRA7(ADDRA[7]), 
        .ADDRA6(ADDRA[6]), .ADDRA5(ADDRA[5]), .ADDRA4(ADDRA[4]), 
        .ADDRA3(ADDRA[3]), .ADDRA2(ADDRA[2]), .ADDRA1(ADDRA[1]), 
        .ADDRA0(ADDRA[0]), .ADDRB11(GND), .ADDRB10(ADDRB[10]), 
        .ADDRB9(ADDRB[9]), .ADDRB8(ADDRB[8]), .ADDRB7(ADDRB[7]), 
        .ADDRB6(ADDRB[6]), .ADDRB5(ADDRB[5]), .ADDRB4(ADDRB[4]), 
        .ADDRB3(ADDRB[3]), .ADDRB2(ADDRB[2]), .ADDRB1(ADDRB[1]), 
        .ADDRB0(ADDRB[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(DINA[5]), .DINA0(DINA[4]), .DINB8(GND), .DINB7(GND)
        , .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(DINB[5]), .DINB0(DINB[4]), .WIDTHA0(
        VCC), .WIDTHA1(GND), .WIDTHB0(VCC), .WIDTHB1(GND), .PIPEA(
        GND), .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(WEAP)
        , .BLKB(WEBP), .WENA(RWA), .WENB(RWB), .CLKA(CLKA), .CLKB(
        CLKB), .RESET(RESET), .DOUTA8(), .DOUTA7(), .DOUTA6(), 
        .DOUTA5(), .DOUTA4(), .DOUTA3(), .DOUTA2(), .DOUTA1(
        DOUTA[5]), .DOUTA0(DOUTA[4]), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(DOUTB[5]), .DOUTB0(DOUTB[4]));
    INV WEBUBBLEB(.A(BLKB), .Y(WEBP));
    RAM4K9 tievm_nic_dpram_R0C3(.ADDRA11(GND), .ADDRA10(ADDRA[10])
        , .ADDRA9(ADDRA[9]), .ADDRA8(ADDRA[8]), .ADDRA7(ADDRA[7]), 
        .ADDRA6(ADDRA[6]), .ADDRA5(ADDRA[5]), .ADDRA4(ADDRA[4]), 
        .ADDRA3(ADDRA[3]), .ADDRA2(ADDRA[2]), .ADDRA1(ADDRA[1]), 
        .ADDRA0(ADDRA[0]), .ADDRB11(GND), .ADDRB10(ADDRB[10]), 
        .ADDRB9(ADDRB[9]), .ADDRB8(ADDRB[8]), .ADDRB7(ADDRB[7]), 
        .ADDRB6(ADDRB[6]), .ADDRB5(ADDRB[5]), .ADDRB4(ADDRB[4]), 
        .ADDRB3(ADDRB[3]), .ADDRB2(ADDRB[2]), .ADDRB1(ADDRB[1]), 
        .ADDRB0(ADDRB[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(DINA[7]), .DINA0(DINA[6]), .DINB8(GND), .DINB7(GND)
        , .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(DINB[7]), .DINB0(DINB[6]), .WIDTHA0(
        VCC), .WIDTHA1(GND), .WIDTHB0(VCC), .WIDTHB1(GND), .PIPEA(
        GND), .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(WEAP)
        , .BLKB(WEBP), .WENA(RWA), .WENB(RWB), .CLKA(CLKA), .CLKB(
        CLKB), .RESET(RESET), .DOUTA8(), .DOUTA7(), .DOUTA6(), 
        .DOUTA5(), .DOUTA4(), .DOUTA3(), .DOUTA2(), .DOUTA1(
        DOUTA[7]), .DOUTA0(DOUTA[6]), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(DOUTB[7]), .DOUTB0(DOUTB[6]));
    RAM4K9 tievm_nic_dpram_R0C0(.ADDRA11(GND), .ADDRA10(ADDRA[10])
        , .ADDRA9(ADDRA[9]), .ADDRA8(ADDRA[8]), .ADDRA7(ADDRA[7]), 
        .ADDRA6(ADDRA[6]), .ADDRA5(ADDRA[5]), .ADDRA4(ADDRA[4]), 
        .ADDRA3(ADDRA[3]), .ADDRA2(ADDRA[2]), .ADDRA1(ADDRA[1]), 
        .ADDRA0(ADDRA[0]), .ADDRB11(GND), .ADDRB10(ADDRB[10]), 
        .ADDRB9(ADDRB[9]), .ADDRB8(ADDRB[8]), .ADDRB7(ADDRB[7]), 
        .ADDRB6(ADDRB[6]), .ADDRB5(ADDRB[5]), .ADDRB4(ADDRB[4]), 
        .ADDRB3(ADDRB[3]), .ADDRB2(ADDRB[2]), .ADDRB1(ADDRB[1]), 
        .ADDRB0(ADDRB[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(DINA[1]), .DINA0(DINA[0]), .DINB8(GND), .DINB7(GND)
        , .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(DINB[1]), .DINB0(DINB[0]), .WIDTHA0(
        VCC), .WIDTHA1(GND), .WIDTHB0(VCC), .WIDTHB1(GND), .PIPEA(
        GND), .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(WEAP)
        , .BLKB(WEBP), .WENA(RWA), .WENB(RWB), .CLKA(CLKA), .CLKB(
        CLKB), .RESET(RESET), .DOUTA8(), .DOUTA7(), .DOUTA6(), 
        .DOUTA5(), .DOUTA4(), .DOUTA3(), .DOUTA2(), .DOUTA1(
        DOUTA[1]), .DOUTA0(DOUTA[0]), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(DOUTB[1]), .DOUTB0(DOUTB[0]));
    INV WEBUBBLEA(.A(BLKA), .Y(WEAP));
    RAM4K9 tievm_nic_dpram_R0C1(.ADDRA11(GND), .ADDRA10(ADDRA[10])
        , .ADDRA9(ADDRA[9]), .ADDRA8(ADDRA[8]), .ADDRA7(ADDRA[7]), 
        .ADDRA6(ADDRA[6]), .ADDRA5(ADDRA[5]), .ADDRA4(ADDRA[4]), 
        .ADDRA3(ADDRA[3]), .ADDRA2(ADDRA[2]), .ADDRA1(ADDRA[1]), 
        .ADDRA0(ADDRA[0]), .ADDRB11(GND), .ADDRB10(ADDRB[10]), 
        .ADDRB9(ADDRB[9]), .ADDRB8(ADDRB[8]), .ADDRB7(ADDRB[7]), 
        .ADDRB6(ADDRB[6]), .ADDRB5(ADDRB[5]), .ADDRB4(ADDRB[4]), 
        .ADDRB3(ADDRB[3]), .ADDRB2(ADDRB[2]), .ADDRB1(ADDRB[1]), 
        .ADDRB0(ADDRB[0]), .DINA8(GND), .DINA7(GND), .DINA6(GND), 
        .DINA5(GND), .DINA4(GND), .DINA3(GND), .DINA2(GND), 
        .DINA1(DINA[3]), .DINA0(DINA[2]), .DINB8(GND), .DINB7(GND)
        , .DINB6(GND), .DINB5(GND), .DINB4(GND), .DINB3(GND), 
        .DINB2(GND), .DINB1(DINB[3]), .DINB0(DINB[2]), .WIDTHA0(
        VCC), .WIDTHA1(GND), .WIDTHB0(VCC), .WIDTHB1(GND), .PIPEA(
        GND), .PIPEB(GND), .WMODEA(GND), .WMODEB(GND), .BLKA(WEAP)
        , .BLKB(WEBP), .WENA(RWA), .WENB(RWB), .CLKA(CLKA), .CLKB(
        CLKB), .RESET(RESET), .DOUTA8(), .DOUTA7(), .DOUTA6(), 
        .DOUTA5(), .DOUTA4(), .DOUTA3(), .DOUTA2(), .DOUTA1(
        DOUTA[3]), .DOUTA0(DOUTA[2]), .DOUTB8(), .DOUTB7(), 
        .DOUTB6(), .DOUTB5(), .DOUTB4(), .DOUTB3(), .DOUTB2(), 
        .DOUTB1(DOUTB[3]), .DOUTB0(DOUTB[2]));
    
endmodule
